# Copyright 2017 the V8 project authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can
# be found in the LICENSE file.

# This file is automatically generated by mkgrokdump and should not
# be modified manually.

# List of known V8 instance types.
INSTANCE_TYPES = {
  0: "INTERNALIZED_STRING_TYPE",
  2: "EXTERNAL_INTERNALIZED_STRING_TYPE",
  8: "ONE_BYTE_INTERNALIZED_STRING_TYPE",
  10: "EXTERNAL_ONE_BYTE_INTERNALIZED_STRING_TYPE",
  18: "EXTERNAL_INTERNALIZED_STRING_WITH_ONE_BYTE_DATA_TYPE",
  34: "SHORT_EXTERNAL_INTERNALIZED_STRING_TYPE",
  42: "SHORT_EXTERNAL_ONE_BYTE_INTERNALIZED_STRING_TYPE",
  50: "SHORT_EXTERNAL_INTERNALIZED_STRING_WITH_ONE_BYTE_DATA_TYPE",
  64: "STRING_TYPE",
  65: "CONS_STRING_TYPE",
  66: "EXTERNAL_STRING_TYPE",
  67: "SLICED_STRING_TYPE",
  69: "THIN_STRING_TYPE",
  72: "ONE_BYTE_STRING_TYPE",
  73: "CONS_ONE_BYTE_STRING_TYPE",
  74: "EXTERNAL_ONE_BYTE_STRING_TYPE",
  75: "SLICED_ONE_BYTE_STRING_TYPE",
  77: "THIN_ONE_BYTE_STRING_TYPE",
  82: "EXTERNAL_STRING_WITH_ONE_BYTE_DATA_TYPE",
  98: "SHORT_EXTERNAL_STRING_TYPE",
  106: "SHORT_EXTERNAL_ONE_BYTE_STRING_TYPE",
  114: "SHORT_EXTERNAL_STRING_WITH_ONE_BYTE_DATA_TYPE",
  128: "SYMBOL_TYPE",
  129: "HEAP_NUMBER_TYPE",
  130: "BIGINT_TYPE",
  131: "ODDBALL_TYPE",
  132: "MAP_TYPE",
  133: "CODE_TYPE",
  134: "MUTABLE_HEAP_NUMBER_TYPE",
  135: "FOREIGN_TYPE",
  136: "BYTE_ARRAY_TYPE",
  137: "BYTECODE_ARRAY_TYPE",
  138: "FREE_SPACE_TYPE",
  139: "FIXED_INT8_ARRAY_TYPE",
  140: "FIXED_UINT8_ARRAY_TYPE",
  141: "FIXED_INT16_ARRAY_TYPE",
  142: "FIXED_UINT16_ARRAY_TYPE",
  143: "FIXED_INT32_ARRAY_TYPE",
  144: "FIXED_UINT32_ARRAY_TYPE",
  145: "FIXED_FLOAT32_ARRAY_TYPE",
  146: "FIXED_FLOAT64_ARRAY_TYPE",
  147: "FIXED_UINT8_CLAMPED_ARRAY_TYPE",
  148: "FIXED_BIGINT64_ARRAY_TYPE",
  149: "FIXED_BIGUINT64_ARRAY_TYPE",
  150: "FIXED_DOUBLE_ARRAY_TYPE",
  151: "FEEDBACK_METADATA_TYPE",
  152: "FILLER_TYPE",
  153: "ACCESS_CHECK_INFO_TYPE",
  154: "ACCESSOR_INFO_TYPE",
  155: "ACCESSOR_PAIR_TYPE",
  156: "ALIASED_ARGUMENTS_ENTRY_TYPE",
  157: "ALLOCATION_MEMENTO_TYPE",
  158: "ASYNC_GENERATOR_REQUEST_TYPE",
  159: "DEBUG_INFO_TYPE",
  160: "FUNCTION_TEMPLATE_INFO_TYPE",
  161: "INTERCEPTOR_INFO_TYPE",
  162: "INTERPRETER_DATA_TYPE",
  163: "MODULE_INFO_ENTRY_TYPE",
  164: "MODULE_TYPE",
  165: "OBJECT_TEMPLATE_INFO_TYPE",
  166: "PROMISE_CAPABILITY_TYPE",
  167: "PROMISE_REACTION_TYPE",
  168: "PROTOTYPE_INFO_TYPE",
  169: "SCRIPT_TYPE",
  170: "STACK_FRAME_INFO_TYPE",
  171: "TUPLE2_TYPE",
  172: "TUPLE3_TYPE",
  173: "ARRAY_BOILERPLATE_DESCRIPTION_TYPE",
  174: "WASM_DEBUG_INFO_TYPE",
  175: "WASM_EXPORTED_FUNCTION_DATA_TYPE",
  176: "CALLABLE_TASK_TYPE",
  177: "CALLBACK_TASK_TYPE",
  178: "PROMISE_FULFILL_REACTION_JOB_TASK_TYPE",
  179: "PROMISE_REJECT_REACTION_JOB_TASK_TYPE",
  180: "PROMISE_RESOLVE_THENABLE_JOB_TASK_TYPE",
  181: "ALLOCATION_SITE_TYPE",
  182: "FIXED_ARRAY_TYPE",
  183: "OBJECT_BOILERPLATE_DESCRIPTION_TYPE",
  184: "HASH_TABLE_TYPE",
  185: "ORDERED_HASH_MAP_TYPE",
  186: "ORDERED_HASH_SET_TYPE",
  187: "NAME_DICTIONARY_TYPE",
  188: "GLOBAL_DICTIONARY_TYPE",
  189: "NUMBER_DICTIONARY_TYPE",
  190: "SIMPLE_NUMBER_DICTIONARY_TYPE",
  191: "STRING_TABLE_TYPE",
  192: "EPHEMERON_HASH_TABLE_TYPE",
  193: "SCOPE_INFO_TYPE",
  194: "SCRIPT_CONTEXT_TABLE_TYPE",
  195: "BLOCK_CONTEXT_TYPE",
  196: "CATCH_CONTEXT_TYPE",
  197: "DEBUG_EVALUATE_CONTEXT_TYPE",
  198: "EVAL_CONTEXT_TYPE",
  199: "FUNCTION_CONTEXT_TYPE",
  200: "MODULE_CONTEXT_TYPE",
  201: "NATIVE_CONTEXT_TYPE",
  202: "SCRIPT_CONTEXT_TYPE",
  203: "WITH_CONTEXT_TYPE",
  204: "WEAK_FIXED_ARRAY_TYPE",
  205: "DESCRIPTOR_ARRAY_TYPE",
  206: "TRANSITION_ARRAY_TYPE",
  207: "CALL_HANDLER_INFO_TYPE",
  208: "CELL_TYPE",
  209: "CODE_DATA_CONTAINER_TYPE",
  210: "FEEDBACK_CELL_TYPE",
  211: "FEEDBACK_VECTOR_TYPE",
  212: "LOAD_HANDLER_TYPE",
  213: "PRE_PARSED_SCOPE_DATA_TYPE",
  214: "PROPERTY_ARRAY_TYPE",
  215: "PROPERTY_CELL_TYPE",
  216: "SHARED_FUNCTION_INFO_TYPE",
  217: "SMALL_ORDERED_HASH_MAP_TYPE",
  218: "SMALL_ORDERED_HASH_SET_TYPE",
  219: "STORE_HANDLER_TYPE",
  220: "UNCOMPILED_DATA_WITHOUT_PRE_PARSED_SCOPE_TYPE",
  221: "UNCOMPILED_DATA_WITH_PRE_PARSED_SCOPE_TYPE",
  222: "WEAK_CELL_TYPE",
  223: "WEAK_ARRAY_LIST_TYPE",
  1024: "JS_PROXY_TYPE",
  1025: "JS_GLOBAL_OBJECT_TYPE",
  1026: "JS_GLOBAL_PROXY_TYPE",
  1027: "JS_MODULE_NAMESPACE_TYPE",
  1040: "JS_SPECIAL_API_OBJECT_TYPE",
  1041: "JS_VALUE_TYPE",
  1056: "JS_API_OBJECT_TYPE",
  1057: "JS_OBJECT_TYPE",
  1058: "JS_ARGUMENTS_TYPE",
  1059: "JS_ARRAY_BUFFER_TYPE",
  1060: "JS_ARRAY_ITERATOR_TYPE",
  1061: "JS_ARRAY_TYPE",
  1062: "JS_ASYNC_FROM_SYNC_ITERATOR_TYPE",
  1063: "JS_ASYNC_GENERATOR_OBJECT_TYPE",
  1064: "JS_CONTEXT_EXTENSION_OBJECT_TYPE",
  1065: "JS_DATE_TYPE",
  1066: "JS_ERROR_TYPE",
  1067: "JS_GENERATOR_OBJECT_TYPE",
  1068: "JS_MAP_TYPE",
  1069: "JS_MAP_KEY_ITERATOR_TYPE",
  1070: "JS_MAP_KEY_VALUE_ITERATOR_TYPE",
  1071: "JS_MAP_VALUE_ITERATOR_TYPE",
  1072: "JS_MESSAGE_OBJECT_TYPE",
  1073: "JS_PROMISE_TYPE",
  1074: "JS_REGEXP_TYPE",
  1075: "JS_REGEXP_STRING_ITERATOR_TYPE",
  1076: "JS_SET_TYPE",
  1077: "JS_SET_KEY_VALUE_ITERATOR_TYPE",
  1078: "JS_SET_VALUE_ITERATOR_TYPE",
  1079: "JS_STRING_ITERATOR_TYPE",
  1080: "JS_WEAK_MAP_TYPE",
  1081: "JS_WEAK_SET_TYPE",
  1082: "JS_TYPED_ARRAY_TYPE",
  1083: "JS_DATA_VIEW_TYPE",
  1084: "JS_INTL_LIST_FORMAT_TYPE",
  1085: "JS_INTL_LOCALE_TYPE",
  1086: "JS_INTL_RELATIVE_TIME_FORMAT_TYPE",
  1087: "WASM_GLOBAL_TYPE",
  1088: "WASM_INSTANCE_TYPE",
  1089: "WASM_MEMORY_TYPE",
  1090: "WASM_MODULE_TYPE",
  1091: "WASM_TABLE_TYPE",
  1092: "JS_BOUND_FUNCTION_TYPE",
  1093: "JS_FUNCTION_TYPE",
}

# List of known V8 maps.
KNOWN_MAPS = {
  ("RO_SPACE", 0x02201): (138, "FreeSpaceMap"),
  ("RO_SPACE", 0x02251): (132, "MetaMap"),
  ("RO_SPACE", 0x022d1): (131, "NullMap"),
  ("RO_SPACE", 0x02341): (205, "DescriptorArrayMap"),
  ("RO_SPACE", 0x023a1): (182, "FixedArrayMap"),
  ("RO_SPACE", 0x023f1): (152, "OnePointerFillerMap"),
  ("RO_SPACE", 0x02441): (152, "TwoPointerFillerMap"),
  ("RO_SPACE", 0x024c1): (131, "UninitializedMap"),
  ("RO_SPACE", 0x02539): (8, "OneByteInternalizedStringMap"),
  ("RO_SPACE", 0x025e1): (131, "UndefinedMap"),
  ("RO_SPACE", 0x02641): (129, "HeapNumberMap"),
  ("RO_SPACE", 0x026c1): (131, "TheHoleMap"),
  ("RO_SPACE", 0x02771): (131, "BooleanMap"),
  ("RO_SPACE", 0x02869): (136, "ByteArrayMap"),
  ("RO_SPACE", 0x028b9): (182, "FixedCOWArrayMap"),
  ("RO_SPACE", 0x02909): (184, "HashTableMap"),
  ("RO_SPACE", 0x02959): (128, "SymbolMap"),
  ("RO_SPACE", 0x029a9): (72, "OneByteStringMap"),
  ("RO_SPACE", 0x029f9): (193, "ScopeInfoMap"),
  ("RO_SPACE", 0x02a49): (216, "SharedFunctionInfoMap"),
  ("RO_SPACE", 0x02a99): (133, "CodeMap"),
  ("RO_SPACE", 0x02ae9): (199, "FunctionContextMap"),
  ("RO_SPACE", 0x02b39): (208, "CellMap"),
  ("RO_SPACE", 0x02b89): (222, "WeakCellMap"),
  ("RO_SPACE", 0x02bd9): (215, "GlobalPropertyCellMap"),
  ("RO_SPACE", 0x02c29): (135, "ForeignMap"),
  ("RO_SPACE", 0x02c79): (206, "TransitionArrayMap"),
  ("RO_SPACE", 0x02cc9): (211, "FeedbackVectorMap"),
  ("RO_SPACE", 0x02d59): (131, "ArgumentsMarkerMap"),
  ("RO_SPACE", 0x02e01): (131, "ExceptionMap"),
  ("RO_SPACE", 0x02ea9): (131, "TerminationExceptionMap"),
  ("RO_SPACE", 0x02f59): (131, "OptimizedOutMap"),
  ("RO_SPACE", 0x03001): (131, "StaleRegisterMap"),
  ("RO_SPACE", 0x03079): (201, "NativeContextMap"),
  ("RO_SPACE", 0x030c9): (200, "ModuleContextMap"),
  ("RO_SPACE", 0x03119): (198, "EvalContextMap"),
  ("RO_SPACE", 0x03169): (202, "ScriptContextMap"),
  ("RO_SPACE", 0x031b9): (195, "BlockContextMap"),
  ("RO_SPACE", 0x03209): (196, "CatchContextMap"),
  ("RO_SPACE", 0x03259): (203, "WithContextMap"),
  ("RO_SPACE", 0x032a9): (197, "DebugEvaluateContextMap"),
  ("RO_SPACE", 0x032f9): (194, "ScriptContextTableMap"),
  ("RO_SPACE", 0x03349): (151, "FeedbackMetadataArrayMap"),
  ("RO_SPACE", 0x03399): (182, "ArrayListMap"),
  ("RO_SPACE", 0x033e9): (130, "BigIntMap"),
  ("RO_SPACE", 0x03439): (183, "ObjectBoilerplateDescriptionMap"),
  ("RO_SPACE", 0x03489): (137, "BytecodeArrayMap"),
  ("RO_SPACE", 0x034d9): (209, "CodeDataContainerMap"),
  ("RO_SPACE", 0x03529): (150, "FixedDoubleArrayMap"),
  ("RO_SPACE", 0x03579): (188, "GlobalDictionaryMap"),
  ("RO_SPACE", 0x035c9): (210, "ManyClosuresCellMap"),
  ("RO_SPACE", 0x03619): (182, "ModuleInfoMap"),
  ("RO_SPACE", 0x03669): (134, "MutableHeapNumberMap"),
  ("RO_SPACE", 0x036b9): (187, "NameDictionaryMap"),
  ("RO_SPACE", 0x03709): (210, "NoClosuresCellMap"),
  ("RO_SPACE", 0x03759): (189, "NumberDictionaryMap"),
  ("RO_SPACE", 0x037a9): (210, "OneClosureCellMap"),
  ("RO_SPACE", 0x037f9): (185, "OrderedHashMapMap"),
  ("RO_SPACE", 0x03849): (186, "OrderedHashSetMap"),
  ("RO_SPACE", 0x03899): (213, "PreParsedScopeDataMap"),
  ("RO_SPACE", 0x038e9): (214, "PropertyArrayMap"),
  ("RO_SPACE", 0x03939): (207, "SideEffectCallHandlerInfoMap"),
  ("RO_SPACE", 0x03989): (207, "SideEffectFreeCallHandlerInfoMap"),
  ("RO_SPACE", 0x039d9): (207, "NextCallSideEffectFreeCallHandlerInfoMap"),
  ("RO_SPACE", 0x03a29): (190, "SimpleNumberDictionaryMap"),
  ("RO_SPACE", 0x03a79): (182, "SloppyArgumentsElementsMap"),
  ("RO_SPACE", 0x03ac9): (217, "SmallOrderedHashMapMap"),
  ("RO_SPACE", 0x03b19): (218, "SmallOrderedHashSetMap"),
  ("RO_SPACE", 0x03b69): (191, "StringTableMap"),
  ("RO_SPACE", 0x03bb9): (220, "UncompiledDataWithoutPreParsedScopeMap"),
  ("RO_SPACE", 0x03c09): (221, "UncompiledDataWithPreParsedScopeMap"),
  ("RO_SPACE", 0x03c59): (204, "WeakFixedArrayMap"),
  ("RO_SPACE", 0x03ca9): (223, "WeakArrayListMap"),
  ("RO_SPACE", 0x03cf9): (192, "EphemeronHashTableMap"),
  ("RO_SPACE", 0x03d49): (106, "NativeSourceStringMap"),
  ("RO_SPACE", 0x03d99): (64, "StringMap"),
  ("RO_SPACE", 0x03de9): (73, "ConsOneByteStringMap"),
  ("RO_SPACE", 0x03e39): (65, "ConsStringMap"),
  ("RO_SPACE", 0x03e89): (77, "ThinOneByteStringMap"),
  ("RO_SPACE", 0x03ed9): (69, "ThinStringMap"),
  ("RO_SPACE", 0x03f29): (67, "SlicedStringMap"),
  ("RO_SPACE", 0x03f79): (75, "SlicedOneByteStringMap"),
  ("RO_SPACE", 0x03fc9): (66, "ExternalStringMap"),
  ("RO_SPACE", 0x04019): (82, "ExternalStringWithOneByteDataMap"),
  ("RO_SPACE", 0x04069): (74, "ExternalOneByteStringMap"),
  ("RO_SPACE", 0x040b9): (98, "ShortExternalStringMap"),
  ("RO_SPACE", 0x04109): (114, "ShortExternalStringWithOneByteDataMap"),
  ("RO_SPACE", 0x04159): (0, "InternalizedStringMap"),
  ("RO_SPACE", 0x041a9): (2, "ExternalInternalizedStringMap"),
  ("RO_SPACE", 0x041f9): (18, "ExternalInternalizedStringWithOneByteDataMap"),
  ("RO_SPACE", 0x04249): (10, "ExternalOneByteInternalizedStringMap"),
  ("RO_SPACE", 0x04299): (34, "ShortExternalInternalizedStringMap"),
  ("RO_SPACE", 0x042e9): (50, "ShortExternalInternalizedStringWithOneByteDataMap"),
  ("RO_SPACE", 0x04339): (42, "ShortExternalOneByteInternalizedStringMap"),
  ("RO_SPACE", 0x04389): (106, "ShortExternalOneByteStringMap"),
  ("RO_SPACE", 0x043d9): (140, "FixedUint8ArrayMap"),
  ("RO_SPACE", 0x04429): (139, "FixedInt8ArrayMap"),
  ("RO_SPACE", 0x04479): (142, "FixedUint16ArrayMap"),
  ("RO_SPACE", 0x044c9): (141, "FixedInt16ArrayMap"),
  ("RO_SPACE", 0x04519): (144, "FixedUint32ArrayMap"),
  ("RO_SPACE", 0x04569): (143, "FixedInt32ArrayMap"),
  ("RO_SPACE", 0x045b9): (145, "FixedFloat32ArrayMap"),
  ("RO_SPACE", 0x04609): (146, "FixedFloat64ArrayMap"),
  ("RO_SPACE", 0x04659): (147, "FixedUint8ClampedArrayMap"),
  ("RO_SPACE", 0x046a9): (149, "FixedBigUint64ArrayMap"),
  ("RO_SPACE", 0x046f9): (148, "FixedBigInt64ArrayMap"),
  ("RO_SPACE", 0x04749): (131, "SelfReferenceMarkerMap"),
  ("RO_SPACE", 0x047b1): (171, "Tuple2Map"),
  ("RO_SPACE", 0x04ae9): (161, "InterceptorInfoMap"),
  ("RO_SPACE", 0x04bf1): (169, "ScriptMap"),
  ("RO_SPACE", 0x09a19): (154, "AccessorInfoMap"),
  ("RO_SPACE", 0x09a69): (153, "AccessCheckInfoMap"),
  ("RO_SPACE", 0x09ab9): (155, "AccessorPairMap"),
  ("RO_SPACE", 0x09b09): (156, "AliasedArgumentsEntryMap"),
  ("RO_SPACE", 0x09b59): (157, "AllocationMementoMap"),
  ("RO_SPACE", 0x09ba9): (158, "AsyncGeneratorRequestMap"),
  ("RO_SPACE", 0x09bf9): (159, "DebugInfoMap"),
  ("RO_SPACE", 0x09c49): (160, "FunctionTemplateInfoMap"),
  ("RO_SPACE", 0x09c99): (162, "InterpreterDataMap"),
  ("RO_SPACE", 0x09ce9): (163, "ModuleInfoEntryMap"),
  ("RO_SPACE", 0x09d39): (164, "ModuleMap"),
  ("RO_SPACE", 0x09d89): (165, "ObjectTemplateInfoMap"),
  ("RO_SPACE", 0x09dd9): (166, "PromiseCapabilityMap"),
  ("RO_SPACE", 0x09e29): (167, "PromiseReactionMap"),
  ("RO_SPACE", 0x09e79): (168, "PrototypeInfoMap"),
  ("RO_SPACE", 0x09ec9): (170, "StackFrameInfoMap"),
  ("RO_SPACE", 0x09f19): (172, "Tuple3Map"),
  ("RO_SPACE", 0x09f69): (173, "ArrayBoilerplateDescriptionMap"),
  ("RO_SPACE", 0x09fb9): (174, "WasmDebugInfoMap"),
  ("RO_SPACE", 0x0a009): (175, "WasmExportedFunctionDataMap"),
  ("RO_SPACE", 0x0a059): (176, "CallableTaskMap"),
  ("RO_SPACE", 0x0a0a9): (177, "CallbackTaskMap"),
  ("RO_SPACE", 0x0a0f9): (178, "PromiseFulfillReactionJobTaskMap"),
  ("RO_SPACE", 0x0a149): (179, "PromiseRejectReactionJobTaskMap"),
  ("RO_SPACE", 0x0a199): (180, "PromiseResolveThenableJobTaskMap"),
  ("RO_SPACE", 0x0a1e9): (181, "AllocationSiteMap"),
  ("RO_SPACE", 0x0a239): (181, "AllocationSiteMap"),
  ("MAP_SPACE", 0x02201): (1057, "ExternalMap"),
  ("MAP_SPACE", 0x02251): (1072, "JSMessageObjectMap"),
}

# List of known V8 objects.
KNOWN_OBJECTS = {
  ("RO_SPACE", 0x022a1): "NullValue",
  ("RO_SPACE", 0x02321): "EmptyDescriptorArray",
  ("RO_SPACE", 0x02391): "EmptyFixedArray",
  ("RO_SPACE", 0x02491): "UninitializedValue",
  ("RO_SPACE", 0x025b1): "UndefinedValue",
  ("RO_SPACE", 0x02631): "NanValue",
  ("RO_SPACE", 0x02691): "TheHoleValue",
  ("RO_SPACE", 0x02731): "HoleNanValue",
  ("RO_SPACE", 0x02741): "TrueValue",
  ("RO_SPACE", 0x02801): "FalseValue",
  ("RO_SPACE", 0x02851): "empty_string",
  ("RO_SPACE", 0x02d19): "EmptyScopeInfo",
  ("RO_SPACE", 0x02d29): "ArgumentsMarker",
  ("RO_SPACE", 0x02dd1): "Exception",
  ("RO_SPACE", 0x02e79): "TerminationException",
  ("RO_SPACE", 0x02f29): "OptimizedOut",
  ("RO_SPACE", 0x02fd1): "StaleRegister",
  ("RO_SPACE", 0x04811): "EmptyByteArray",
  ("RO_SPACE", 0x04839): "EmptyFixedUint8Array",
  ("RO_SPACE", 0x04859): "EmptyFixedInt8Array",
  ("RO_SPACE", 0x04879): "EmptyFixedUint16Array",
  ("RO_SPACE", 0x04899): "EmptyFixedInt16Array",
  ("RO_SPACE", 0x048b9): "EmptyFixedUint32Array",
  ("RO_SPACE", 0x048d9): "EmptyFixedInt32Array",
  ("RO_SPACE", 0x048f9): "EmptyFixedFloat32Array",
  ("RO_SPACE", 0x04919): "EmptyFixedFloat64Array",
  ("RO_SPACE", 0x04939): "EmptyFixedUint8ClampedArray",
  ("RO_SPACE", 0x04999): "EmptySloppyArgumentsElements",
  ("RO_SPACE", 0x049b9): "EmptySlowElementDictionary",
  ("RO_SPACE", 0x04a01): "EmptyOrderedHashMap",
  ("RO_SPACE", 0x04a29): "EmptyOrderedHashSet",
  ("RO_SPACE", 0x04a61): "EmptyPropertyCell",
  ("RO_SPACE", 0x04a89): "EmptyWeakCell",
  ("RO_SPACE", 0x04b61): "InfinityValue",
  ("RO_SPACE", 0x04b71): "MinusZeroValue",
  ("RO_SPACE", 0x04b81): "MinusInfinityValue",
  ("RO_SPACE", 0x04b91): "SelfReferenceMarker",
  ("OLD_SPACE", 0x02211): "EmptyScript",
  ("OLD_SPACE", 0x02291): "ManyClosuresCell",
  ("OLD_SPACE", 0x022b1): "NoElementsProtector",
  ("OLD_SPACE", 0x022d9): "IsConcatSpreadableProtector",
  ("OLD_SPACE", 0x022e9): "ArraySpeciesProtector",
  ("OLD_SPACE", 0x02311): "TypedArraySpeciesProtector",
  ("OLD_SPACE", 0x02339): "PromiseSpeciesProtector",
  ("OLD_SPACE", 0x02361): "StringLengthProtector",
  ("OLD_SPACE", 0x02371): "ArrayIteratorProtector",
  ("OLD_SPACE", 0x02399): "ArrayBufferNeuteringProtector",
}

# List of known V8 Frame Markers.
FRAME_MARKERS = (
  "ENTRY",
  "CONSTRUCT_ENTRY",
  "EXIT",
  "OPTIMIZED",
  "WASM_COMPILED",
  "WASM_TO_JS",
  "JS_TO_WASM",
  "WASM_INTERPRETER_ENTRY",
  "C_WASM_ENTRY",
  "WASM_COMPILE_LAZY",
  "INTERPRETED",
  "STUB",
  "BUILTIN_CONTINUATION",
  "JAVA_SCRIPT_BUILTIN_CONTINUATION",
  "JAVA_SCRIPT_BUILTIN_CONTINUATION_WITH_CATCH",
  "INTERNAL",
  "CONSTRUCT",
  "ARGUMENTS_ADAPTOR",
  "BUILTIN",
  "BUILTIN_EXIT",
  "NATIVE",
)

# This set of constants is generated from a shipping build.
